This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 205884 - Review Request: perl-Email-Valid - Check validity of internet email address
Review Request: perl-Email-Valid - Check validity of internet email address
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 189184 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 205885
  Show dependency treegraph
 
Reported: 2006-09-09 11:44 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-15 15:16:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fixed spec file (1.60 KB, application/octet-stream)
2006-09-11 11:11 EDT, Tom "spot" Callaway
no flags Details

  None (edit)
Description Tom "spot" Callaway 2006-09-09 11:44:38 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/perl-Email-Valid.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Email-Valid-0.176-1.src.rpm
Description: 
This module determines whether an email address is well-formed, and optionally,
whether a mail host exists for the domain or whether the top level domain of
the email address is valid.

New requirement for perl-Maypole.
Comment 1 Jason Tibbitts 2006-09-09 11:47:47 EDT
*** Bug 189184 has been marked as a duplicate of this bug. ***
Comment 2 Jason Tibbitts 2006-09-09 12:19:28 EDT
This fails to build in the same way that bug 189184 fails; missing build
requirements kill the test suite.

I suggest adding BR: perl(Test::Pod) and perl(Test::Pod::Coverage) to get some
additional test suite coverage, and bind-utils so that the test suite doesn't
die due to lack of nslookup.  This stikk skips a bunch of tests for some reason,
but it allows the package to build.
Comment 3 Tom "spot" Callaway 2006-09-11 11:11:15 EDT
Created attachment 136003 [details]
Fixed spec file
Comment 4 Jason Tibbitts 2006-09-15 14:03:31 EDT
I grabbed a copy of the SRPM from:
http://distro.ibiblio.org/pub/linux/distributions/aurora/scratch/spot-review/perl-Email-Valid-0.176-1.src.rpm

and updated it with the above attached specfile.  The result looks better.

rpmlint says:
  W: perl-Email-Valid mixed-use-of-spaces-and-tabs
  (no big deal; the errant tab is on the BuildRequireas: bind-utils line if you
want to remove it).

The only real issue I see is that you manually specify Requires:
perl(Mail::Address) which is duplicated by RPM's automatic dependency generation
and thus should be removed.

Some tests are skipped; running with TEST_VERBOSE=1 shows this:
   ok 12 # skip your dns appears missing or failing to resolve
   ok 13 # skip your dns appears missing or failing to resolve
This is due to building in mock with no DNS config.
   ok 14 # skip tests require Net::Domain::TLD 1.65
   ok 15 # skip tests require Net::Domain::TLD 1.65
   ok 16 # skip tests require Net::Domain::TLD 1.65
Net::Domain::TLD is not in the repo so this is unavoidable at this time.

Review:
* source files match upstream:
   c71a350965c97473af80edfa1bff0b63  Email-Valid-0.176.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
X final provides and requires are sane:
   perl(Email::Valid) = 0.176
   perl-Email-Valid = 0.176-2.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(File::Spec)
   perl(IO::File)
   perl(Mail::Address)
X  perl(Mail::Address)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
        5/16 skipped: various reasons
   All tests successful, 5 subtests skipped.
   Files=3, Tests=18, 36 wallclock secs ( 0.18 cusr +  0.04 csys =  0.22 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 5 Tom "spot" Callaway 2006-09-15 15:16:41 EDT
Built. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.